﻿namespace CanonSharp.Pascal.SyntaxTree;

public sealed class BlockNode(IEnumerable<SyntaxNodeBase> statements) : SyntaxNodeBase
{
    public override SyntaxNodeType NodeType => SyntaxNodeType.Block;

    public IList<SyntaxNodeBase> Statements => statements.ToList();
}
