﻿using CanonSharp.Pascal.Scanner;

namespace CanonSharp.Pascal.SyntaxTree;

public sealed class ConstantNode(LexicalToken identifier, SyntaxNodeBase value) : SyntaxNodeBase
{
    public override SyntaxNodeType NodeType => SyntaxNodeType.Constant;

    public LexicalToken Identifier = identifier;

    public SyntaxNodeBase Value = value;
}
