﻿using CanonSharp.Pascal.Scanner;

namespace CanonSharp.Pascal.SyntaxTree;

public sealed class VariableDeclarationNode(IEnumerable<LexicalToken> identifiers, TypeNode typeNode) : SyntaxNodeBase
{
    public override SyntaxNodeType NodeType => SyntaxNodeType.VariableDeclaration;

    public IList<LexicalToken> Identifiers => identifiers.ToList();

    public TypeNode TypeNode => typeNode;
}
