﻿namespace CanonSharp.Pascal.SyntaxTree;

public sealed class WhileNode(SyntaxNodeBase condition, SyntaxNodeBase statement) : SyntaxNodeBase
{
    public override SyntaxNodeType NodeType => SyntaxNodeType.While;

    public SyntaxNodeBase Condition => condition;

    public SyntaxNodeBase Statement => statement;
}
