﻿namespace CanonSharp.Pascal.SyntaxTree;

public sealed class AssignNode(VariableNode variable, SyntaxNodeBase expression) : SyntaxNodeBase
{
    public override SyntaxNodeType NodeType => SyntaxNodeType.Assign;

    public VariableNode Variable => variable;

    public SyntaxNodeBase Expression => expression;
}
