﻿using CanonSharp.Pascal.Scanner;

namespace CanonSharp.Pascal.SyntaxTree;

public sealed class Parameter(bool isReference, LexicalToken identifier, SyntaxNodeBase typeNode) : SyntaxNodeBase
{
    public override SyntaxNodeType NodeType => SyntaxNodeType.Parameter;

    public bool IsReference => isReference;

    public LexicalToken Identifier => identifier;

    public SyntaxNodeBase TypeNode => typeNode;
}
