﻿namespace CanonSharp.Pascal.SyntaxTree;

public sealed class SubprogramBody(BlockNode constDeclarations, BlockNode variableDeclarations, BlockNode mainBlock) : SyntaxNodeBase
{
    public override SyntaxNodeType NodeType => SyntaxNodeType.SubprogramBody;

    public BlockNode ConstDeclarations => constDeclarations;

    public BlockNode VariableDeclarations => variableDeclarations;

    public BlockNode MainBlock => mainBlock;
}
