﻿namespace CanonSharp.Pascal.SyntaxTree;

public enum UnaryOperatorType
{
    Plus,
    Minus,
    Not
}

public sealed class UnaryOperatorNode(UnaryOperatorType operatorType, SyntaxNodeBase node) : SyntaxNodeBase
{
    public override SyntaxNodeType NodeType => SyntaxNodeType.UnaryOperator;

    public UnaryOperatorType OperatorType => operatorType;

    public SyntaxNodeBase Node => node;
}
